## derpconf 0.7.3

=== Makefile ===
test pyvows:
	@PYTHONPATH=.:$$PYTHONPATH pyvows -v --profile --cover --cover-package=derpconf --cover-threshold=90 vows/

tox:
	@PATH=$$PATH:~/.pythonbrew/pythons/Python-2.6.*/bin/:~/.pythonbrew/pythons/Python-2.7.*/bin/:~/.pythonbrew/pythons/Python-3.0.*/bin/:~/.pythonbrew/pythons/Python-3.1.*/bin/:~/.pythonbrew/pythons/Python-3.2.3/bin/:~/.pythonbrew/pythons/Python-3.3.0/bin/ tox

setup:
	@pip install -Ue .\[tests\]

=== debian/changelog ===
derpconf (0.7.3-1) unstable; urgency=low

   * New upstream release (Closes: #774656)
   * Updated Standards-Version to 3.9.6 (no changes)
   * Added watch file
   * Rules:
     + build with buildsystem=python_distutils
     + Added override_dh_auto_test target
     + Added get-orig-source target
     + Added override_dh_clean target
   * Control:
     + Fixed build-depends
     + Added me as Maintainer
     + Updating long description
   * Updating debian copyright

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 06 Apr 2015 23:37:14 -0300

derpconf (0.4.9-2) UNRELEASED; urgency=low

  * Added docs file

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 20 Nov 2013 21:18:47 -0200

derpconf (0.4.9-1) UNRELEASED; urgency=low

  * New release 0.4.9;
  * Fixed python-six dependency;
  * Fixed python support;
  * Minimizing rules file;
  * Improving package description;
  * Refactoring Maintainer field; Now globo.com is the Maintainer
    and I and Wichert as uploaders;
  * Switch to dpkg-source 3.0 (quilt) format;
  * Convert copyright file to machine readable specification;
  * Fixed debhelper compatibility level;
  * Updated Standards-Version to 3.9.4 (no changes).

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 20 Nov 2013 19:23:15 -0200

derpconf (0.3.3ubuntu1) UNRELEASED; urgency=low

  * Fixes on rules file - missing python libs after install package

 -- Paulo Sousa <paulo.sousa@corp.globo.com>  Wed, 16 Jan 2013 18:24:36 -0200

derpconf (0.3.3) UNRELEASED; urgency=low

  * New release 0.3.3

 -- Paulo Sousa <paulo.sousa@corp.globo.com>  Wed, 16 Jan 2013 14:29:45 -0200

derpconf (0.3.0-1) UNRELEASED; urgency=low

  * First packaging

 -- Wichert Akkerman <wichert@wiggy.net>  Tue, 25 Sep 2012 10:04:40 +0200

=== debian/control ===
Source: derpconf
Maintainer: Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 8),
               python-setuptools (>= 0.6b3),
               python-all (>= 2.6.6-3),
               dh-python,
               python-pyvows,
               python-gevent,
               python-coverage,
               python-colorama,
               python-tox,
               python-six
X-Python-Version: >= 2.6
Homepage: https://github.com/globocom/derpconf
Vcs-Git: git://github.com/globocom/derpconf.git
Vcs-Browser: https://github.com/globocom/derpconf

Package: python-derpconf
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-six
Provides: ${python:Provides}
Description: Python module to abstract loading configuration files for your app
 Abstracts loading configuration files for your app.

## derpconf 0.8.0

=== debian/changelog ===
derpconf (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Gilles Dubuc <gilles@wikimedia.org>  Thu, 16 Jun 2016 16:26:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: derpconf
 Maintainer: Marcelo Jorge Vieira <metal@debian.org>
+Uploaders: Gilles Dubuc <gilles@wikimedia.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 8),
                python-setuptools (>= 0.6b3),
                python-all (>= 2.6.6-3),

## derpconf 0.8.2

=== debian/changelog ===
derpconf (0.8.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.

  [ Marcelo Jorge Vieira ]
  * py3 support (Closes: #943014, #936386)

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 26 Nov 2019 21:00:06 -0300

derpconf (0.8.2-2) unstable; urgency=high

  * d/control: Remove ancient X-Python-Version field
  * d/control: Set Vcs-* to salsa.debian.org
  * Move package to Python Modules Team
  * Fixed build-dependency not installable: python-tox

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 17 Mar 2019 19:37:17 -0300

derpconf (0.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 11 Jan 2018 22:13:34 -0200

derpconf (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Fixed package-uses-deprecated-debhelper-compat-version
  * Bumped standards version to 4.0.0 (no changes)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 27 Aug 2017 16:01:40 -0300

derpconf (0.8.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gilles Dubuc <gilles@wikimedia.org>  Fri, 17 Jun 2016 11:55:15 +0000

=== debian/control ===
Source: derpconf
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper-compat (= 9),
               python3-setuptools (>= 0.6b3),
               python3-all (>= 2.6.6-3),
               dh-python,
               python3-pyvows,
               python3-gevent,
               python3-coverage,
               python3-colorama,
               python3-six,
               tox
Homepage: https://github.com/globocom/derpconf
Vcs-Git: https://salsa.debian.org/python-team/modules/derpconf.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/derpconf

Package: python3-derpconf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-six
Provides: ${python3:Provides}
Description: Python module to abstract loading configuration files for your app
 Abstracts loading configuration files for your app.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	$(MAKE) test

override_dh_clean:
	rm -rf derpconf.egg-info
	dh_clean

get-orig-source:
	OUTDIR=$$PWD ; \
	MAKEFILE=`echo $(MAKEFILE_LIST) | awk '{ print $$1 }'` ; \
	FILE=`readlink -f $$MAKEFILE` ; \
	DIR=`dirname $$FILE` ; \
	cd $$DIR/.. ; \
	TMP=`mktemp -d` ; \
	if ! USCAN=`uscan --no-symlink --destdir $$TMP` ; then exit 1 ; fi ; \
	VERSION=`echo $$USCAN | sed -n 's/.*Newer version (\(.*\)) available.*/\1/p'` ; \
	cd $$TMP ; \
	tar xzf derpconf-$$VERSION.tar.gz ; \
	cd derpconf-$$VERSION ; \
	rm -rf debian ; \
	cd .. ; \
	tar c derpconf-$$VERSION | gzip -9 > derpconf_$$VERSION.orig.tar.gz ; \
	rm -rf derpconf-$$VERSION ; \
	mv derpconf_$$VERSION.orig.tar.gz $$OUTDIR ; \
	cd $$OUTDIR ; \
	rm -rf $$TMP ; \
	echo Saved file at derpconf_$$VERSION.orig.tar.gz

## derpconf 0.8.3

=== Makefile ===
test pyvows:
	@PYTHONPATH=.:$$PYTHONPATH pyvows -v --profile --cover --cover-package=derpconf --cover-threshold=90 vows/

tox:
	@PATH=$$PATH:~/.pythonbrew/pythons/Python-2.7.*/bin/:~/.pythonbrew/pythons/Python-3.0.*/bin/:~/.pythonbrew/pythons/Python-3.1.*/bin/:~/.pythonbrew/pythons/Python-3.2.3/bin/:~/.pythonbrew/pythons/Python-3.3.0/bin/ tox

setup:
	@pip install -Ue .\[tests\]

=== debian/changelog ===
derpconf (0.8.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all and
      python3-setuptools.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 14:15:19 +0000

derpconf (0.8.3-2) unstable; urgency=medium

  * New package version to force the source package into unstable:
    "Not built on buildd: arch all binaries uploaded by metal, a new
    source-only upload is needed to allow migration"

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 12 Dec 2020 19:50:05 -0300

derpconf (0.8.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Marcelo Jorge Vieira ]
  * Fixed package-uses-deprecated-debhelper-compat-version
  * Bumped standards version to 4.5.1
  * New upstream version 0.8.3

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 12 Dec 2020 13:50:59 -0300

=== debian/control ===
Source: derpconf
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
           Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               python3-all,
               dh-python,
               python3-pyvows,
               python3-gevent,
               python3-coverage,
               python3-colorama,
               python3-six,
               tox
Homepage: https://github.com/globocom/derpconf
Vcs-Git: https://salsa.debian.org/python-team/packages/derpconf.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/derpconf
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-derpconf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-six
Provides: ${python3:Provides}
Description: Python module to abstract loading configuration files for your app
 Abstracts loading configuration files for your app.

## derpconf 0.8.4

=== requirements.txt ===
gevent
pyVows
coverage
colorama
tox
six

=== debian/changelog ===
derpconf (0.8.4-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 03 Feb 2024 13:37:51 -0300

derpconf (0.8.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop build-depend on tox, not used.

  [ Marcelo Jorge Vieira ]
  * New upstream version 0.8.4

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 06 Jan 2024 19:50:22 -0300

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
                python3-gevent,
                python3-coverage,
                python3-colorama,
-               python3-six,
-               tox
+               python3-six
 Homepage: https://github.com/globocom/derpconf
 Vcs-Git: https://salsa.debian.org/python-team/packages/derpconf.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/derpconf
